Update an extension
PATCH
/v1/extensions/{id}
const url = 'https://api.extport.dev/api/v1/extensions/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","licensingEnabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.extport.dev/api/v1/extensions/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "licensingEnabled": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
licensingEnabled
boolean
Examplegenerated
{ "name": "example", "licensingEnabled": true}Responses
Section titled “Responses”OK
Nothing to update
Not found